﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<egTracker.Models.Users.Edit>" %>

<table style=" border-style:none;">    
    <tr>    
      <td><%=Resources.egTracker.UserName %>:</td>
      <td>             
        <%=Html.TextBox("Username", Model.Username, new { })%>        
        <%= Html.ValidationMessage("Username", "*") %>                
      </td>
    </tr>            
    
    <tr>
      <td><%=Resources.egTracker.Role %>:</td>
      <td>
        <%=Html.DropDownList("RoleId", Model.RolesDropDown)%>
        <%=Html.ValidationMessage("RoleId", "*")%>               
      </td>
    </tr>
    
		<% if (!Model.EditMode) { %> 
		
		<tr>
      <td>      
         <%=Resources.egTracker.Password %>:      
      </td>
      <td>        
        <%=Html.Password("NewPassword") %>
        <%= Html.ValidationMessage("NewPassword", "*") %>
      </td>
    </tr>  
        
    <tr>
      <td>      
         <%=Resources.egTracker.ConfirmPassword %>:      
      </td>
      <td>
        <%=Html.Password("NewPasswordConfirm")%>
        <%= Html.ValidationMessage("NewPasswordConfirm", "*")%>
      </td>
    </tr>  

		<% } %>
      
    <tr>    
      <td><%=Resources.egTracker.Company %>:</td>
      <td>       
        <%=Html.DropDownList("CompanyId", Model.CompaniesDropDown)%>
        <%=Html.ValidationMessage("CompanyId", "*")%>                
      </td>
    </tr>  

    <tr>    
      <td><%=Resources.egTracker.FirstName %>:</td>
      <td>               
        <%=Html.TextBox("FirstName", Model.FirstName)%>
        <%= Html.ValidationMessage("FirstName", "*")%> 
      </td>
    </tr>  

    <tr>    
      <td><%=Resources.egTracker.LastName %>:</td>
      <td>               
        <%=Html.TextBox("LastName", Model.LastName)%>
        <%= Html.ValidationMessage("LastName", "*")%> 
      </td>
    </tr>  

    <tr>    
      <td><%=Resources.egTracker.Email %>:</td>
      <td>       
        <%=Html.TextBox("Email", Model.Email)%>
        <%= Html.ValidationMessage("Email", "*") %>                
      </td>
    </tr>  

    <tr>    
      <td><%=Resources.egTracker.BusinessPhone %>:</td>
      <td>    
        <%=Html.TextBox("BusinessPhone", Model.BusinessPhone)%>
        <%= Html.ValidationMessage("BusinessPhone", "*")%>                  
      </td>
    </tr>  

    <tr>    
      <td><%=Resources.egTracker.MobilePhone %>:</td>
      <td>   
        <%=Html.TextBox("MobilePhone", Model.MobilePhone)%>
        <%= Html.ValidationMessage("MobilePhone", "*")%>                   
      </td>
    </tr>  

    <tr>    
      <td><%=Resources.egTracker.JobTitle %>:</td>
      <td>   
        <%=Html.TextBox("JobTitle", Model.JobTitle)%>
        <%= Html.ValidationMessage("JobTitle", "*")%>                   
      </td>
    </tr>  

    <tr>    
      <td><%=Resources.egTracker.Details %>:</td>
      <td>    
        <%= Html.TextArea("Details", Model.Details, new { rows = "5", cols = "100" })%>                        
        <%= Html.ValidationMessage("Details", "*")%>                  
      </td>
    </tr>  

  </table>        

  <div style="margin-top:10px;">
    <% if (Model.EditMode)
      { %>                        
    <input type="submit" value="<%=Resources.egTracker.Save %>" />
    <% } else { %>
    <input type="submit" value="<%=Resources.egTracker.Create %>" />
    <% } %>
</div>